subroutine extend3(array, extension)

! increase the size of a allocatable array by extension.
! if the array is not allocated, create one of size extension.

  implicit none

  double precision, intent(in out), allocatable :: array(:, :)
  integer, intent(in) :: extension

  integer :: old_size_1, old_size_2
  double precision, allocatable :: tmp_array(:, :)

  old_size_1 = size(array, 1)
  old_size_2 = size(array, 2)
  allocate(tmp_array(old_size_1, old_size_2 + extension))
  tmp_array(1:old_size_1, 1:old_size_2) = array
  deallocate(array)
  call move_alloc(tmp_array, array)

  return
end subroutine extend3
