      DOUBLE PRECISION FUNCTION FINT1(U)                                
C    ****************************************************************** 
C    *                                                                * 
C    * INTEGRATION OVER THE AZIMUTAL ANGLE FROM 0.0 TO PI             * 
C    *                                                                * 
C    ****************************************************************** 
      LOGICAL RATION,USER                                               
      DOUBLE PRECISION ACOEF,BCOEF,CCOEF,COSPSI,DEN,DIF,DLIMF,E,ELLEPS, 
     ,PI,ROM,ROP,RU,SINPSI,SUM,SURLOS,U,UM,USURLO,T,TANPSI,WN           
      COMMON/PARAM/ACOEF,BCOEF,CCOEF,ELLEPS,COSPSI,SINPSI,TANPSI,       
     ,             RU,UM,DLIMF,WN,USER,RATION                           
      DATA PI/3.141592653589793238D0/                                   
      IF(U.EQ.0.0D0) THEN                                               
         FINT1 = 0.0D0                                                  
         RETURN                                                         
      ENDIF                                                             
      E = TANPSI*U                                                      
      ROM = (1.0D0-E)**2+U**2                                           
      ROP = (1.0D0+E)**2+U**2                                           
      SUM = ROP+ROM                                                     
      ROM = SQRT(ROM)                                                   
      ROP = SQRT(ROP)                                                   
      DIF = ROP-ROM                                                     
      DEN = SQRT((2.0D0-DIF)*(2.0D0+DIF))*ROP*ROM                       
      FINT1 = PI*U**2*(4.0D0*SUM-DIF**2*(SUM-ROP*ROM))/DEN**3           
      IF(RATION) RETURN                                                 
      IF(USER) THEN                                                     
         FINT1 = FINT1*USURLO(RU*U,WN)                                  
      ELSE                                                              
         FINT1 = FINT1*SURLOS(RU*U)                                     
         IF(DLIMF.GT.0.0D0) THEN                                        
            T = RU*U*DLIMF                                              
            FINT1 = FINT1*(1.D0+T*LOG(T/(T+0.26D0)))**2/(1.D0+1.40D0*T) 
         ENDIF                                                          
      ENDIF                                                             
      RETURN                                                            
      END                                                               
